#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# MusicManApp - a Music Manager Application
# fme, 2010-03-03
# Umstellung auf Python 3.x und wx-gtk 4.x im Juli 2020

from musicmancode.mumamaingui import MusicManApp

if __name__ == '__main__':

    try:
        import wx
        musicmanapp = MusicManApp()
        musicmanapp.MainLoop()
    except:
        print('\n< < <  P A N I C  > > >\n')
        print('MusicMan can not be run because wxPython is not installed')
        print('or can not be found on your system.')
        print('Please check your installation and install wxPython 4.x ')
        print('(package python-wxgtk4.x on Ubuntu / Kubuntu).\n')
